<html ng-app="ToDoApp">

<head>
    <title>ToDo App</title>
    <script src="../js/angular.js"></script>
    <script src="../js/ToDoApp.js"></script>

</head>

<body>
    <h1>ToDo App</h1>
    <div ng-controller="TodoCtrl as ctrl">
        <div>
            <p>Add a Todo:</p>
            <input type="text" ng-model="ctrl.newTodo">
        </div>
        <button  ng-hide=""ng-click="ctrl.addNewTodo()">Add</button>

        <div>
            <p>your todos:</p>

            <!-- <button  ng-if="toDoList.length>0" ng-hide="ctrl.editMode" ng-click="ctrl.triggerEditMode()">Edit</button> -->
            
            <button  ng-hide="ctrl.editMode" ng-click="ctrl.triggerEditMode()">Edit</button>
            <button ng-show="ctrl.editMode" ng-click="ctrl.triggerEditMode()">Done</button>
             
            <ol>
                <li ng-repeat="todo in ctrl.todos track by $index">
                    <span  ng-hide="ctrl.editMode" ng-bind="todo"></span>
                    <input ng-model="todo" ng-show="ctrl.editMode" type="text"></input>
                    <button ng-hide="ctrl.editMode" ng-click="ctrl.deleteTodo($index)">Delete</button>
                </li>
            </ol>
        </div>

    </div>
</body>

</html>